jQuery(document).ready(function() {
	// DataTable Controles de Visitas
	var oControlesVisitas  = $('#controles_visitas').dataTable( {
		
		"footerCallback": function( tfoot, data, start, end, display ) {
    		$(tfoot).find('th').eq(1).html( "Starting index is "+start );
  		},
		"sPaginationType": "full_numbers",
		"iDisplayLength": 10,
		"sScrollX": "100%",
        "bScrollCollapse": true,           
		"sDom": '<"tbl-tools-searchbox"fl<"clear">>,<"tbl_tools"CT<"clear">>,<"table_content"t>,<"widget-bottom"ip<"clear">>',
        
		"oTableTools": {
            "sSwfPath": "../web_tools/swf/copy_cvs_xls_pdf.swf",
			"aButtons": [				
                {
                    "sExtends": "pdf",
                    "sButtonText": "Exportar a PDF",
					"sPdfOrientation": "landscape",
					"sPdfSize": "tabloid",
					"sFileName": "Monitor Web - Control de Visita.pdf",
					"sTitle": "Monitor Web - Control de Visita"
                },
				{
                    "sExtends": "xls",
                    "sButtonText": "Exportar a Excel",
					"sPdfOrientation": "landscape",
					"sPdfSize": "legal",
					"sFileName": "Monitor Web - Control de Visita.xls",
					"sTitle": "Monitor Web - Control de Visita"
                }
            ]
        }
	});
	
	
	$("#filtrarBtn_controles_visitas").click(function()
	{
		
		retValue = true;
		var ultimo_nivel = document.getElementById('ultimo_nivel').value;
		
		if(ultimo_nivel == 2)
		{
			if($('#distritos').val())
			{
				$("#distritos_label" ).html( "Distritos" ).removeClass('error');
				$("#distritos_form").removeClass('has-error');
			}
			else
			{
				$("#distritos_label").html( "Distritos - Campo Obligatorio." ).addClass('error');
				$("#distritos_form").addClass('has-error');
				retValue = false;
			}
		}
		
		if(ultimo_nivel == 3)
		{
			if($('#distritos').val())
			{
				$("#distritos_label" ).html( "Distritos" ).removeClass('error');
				$("#distritos_form").removeClass('has-error');
			}
			else
			{
				$("#distritos_label").html( "Distritos - Campo Obligatorio." ).addClass('error');
				$("#distritos_form").addClass('has-error');
				retValue = false;
			}
			
			if($('#zonas').val())
			{
				$("#zonas_label" ).html( "Zonas" ).removeClass('error');
				$("#zonas_form").removeClass('has-error');
			}
			else
			{
				$("#zonas_label").html( "Zonas - Campo Obligatorio." ).addClass('error');
				$("#zonas_form").addClass('has-error');
				retValue = false;
			}
		}
		

		
		if(!retValue)
			return false;
		
		var fecha_desde = document.getElementById('fecha_desde_hidden').value;	
		var fecha_hasta = document.getElementById('fecha_hasta_hidden').value;	
		
		var indice = document.getElementById('numero_dispositivo_movil').selectedIndex;
			var numero_dispositivo_movil = null;
			if(document.getElementById('numero_dispositivo_movil').options[indice].value == '-1')
				numero_dispositivo_movil = 'null';
			else
				numero_dispositivo_movil = "'"+document.getElementById('numero_dispositivo_movil').options[indice].value+"'";
				
		var indice = document.getElementById('numero_operador_movil').selectedIndex;
			var numero_operador_movil = document.getElementById('numero_operador_movil').options[indice].value;
			if(numero_operador_movil == '-1')
				numero_operador_movil = 'null';
		
		var indice = document.getElementById('tipo_visita').selectedIndex;
			var tipo_visita = document.getElementById('tipo_visita').options[indice].value;
			if(tipo_visita == '-1')
				tipo_visita = 'null';	
				
		var indice = document.getElementById('clientes').selectedIndex;
			var cliente = document.getElementById('clientes').options[indice].value;
			if(cliente == '-1')
				cliente = 'null';
		
		var indice = document.getElementById('rutas').selectedIndex;
			var rutas = document.getElementById('rutas').options[indice].value;
			if(rutas == '-1')
				rutas = 'null';	

			
		
		if(ultimo_nivel == 1)
		{
			var seleccionado = [];
			$('#sucursales option:selected').each(function() {
				seleccionado.push($(this).attr('value'));
			});
			var sucursales = JSON.stringify(seleccionado);
			var distritos = 'null';
			var zonas ='null';		
		}
		else if(ultimo_nivel == 2)
		{
			var seleccionado = [];
			$('#distritos option:selected').each(function() {
				seleccionado.push($(this).attr('value'));
			});
			var sucursales = 'null';
			var distritos = JSON.stringify(seleccionado);
			var zonas ='null';		
		}
		else
		{
			var seleccionado = [];
			$('#zonas option:selected').each(function() {
				seleccionado.push($(this).attr('value'));
			});
			var sucursales = 'null';
			var distritos = 'null';
			var zonas =JSON.stringify(seleccionado);	
		}	
		$('#loader').removeClass('hide');
		
		oControlesVisitas.fnReloadAjax('Modules/controles_de_visitas/libreria_general.php?case=3&fecha_desde='+fecha_desde
																		+'&fecha_hasta='+fecha_hasta
																		+'&numero_dispositivo_movil='+numero_dispositivo_movil
																		+'&numero_operador_movil='+numero_operador_movil
																		+'&tipo_visita='+tipo_visita
																		+'&cliente='+cliente
																		+'&rutas='+rutas
																		+'&sucursales='+sucursales
																		+'&distritos='+distritos
																		+'&zonas='+zonas
																		+'&ultimo_nivel='+ultimo_nivel);
		$('#loader').addClass('hide');
	});
});

function ajaxs()
{
	var xmlhttp=false;
	try 
	{
		xmlhttp = new ActiveXObject('Msxml2.XMLHTTP');
	}
 	catch (e) 
	{
		try 
		{
			xmlhttp = new ActiveXObject('Microsoft.XMLHTTP');
		}
 		catch (E) 
		{
			xmlhttp = false;
		}
	}
	if (!xmlhttp && typeof XMLHttpRequest!='undefined') 
	{
		xmlhttp = new XMLHttpRequest();
	}
	return xmlhttp;
}

function distritos()
{
	var $select_distritos = $('#distritos'); 
	var $select_zonas = $('#zonas'); 
	
	var seleccionado = [];
	$('#sucursales option:selected').each(function() {
		seleccionado.push($(this).attr('value'));
	});
	var sucursales = JSON.stringify(seleccionado);		
	
    //request the JSON data and parse into the select element
    $.getJSON('Modules/controles_de_visitas/libreria_general.php?case=1&sucursales='+sucursales, function(data){
 
      //eliminamos todos los 
      $select_distritos.html('');
	  $select_zonas.html('');
 
      //iteramos sobre cada elemento sucursal del json.
      $.each(data, function(key, val){ 
        $select_distritos.append('<option value="' + val.LocalizacionJerarquicaID + '">' + val.Descripcion + '</option>');
      })
    });
}

function zonas()
{
	var $select_zonas = $('#zonas'); 
	
	var seleccionado = [];
	$('#distritos option:selected').each(function() {
		seleccionado.push($(this).attr('value'));
	});
	var distritos = JSON.stringify(seleccionado);		
	
    //request the JSON data and parse into the select element
    $.getJSON('Modules/controles_de_visitas/libreria_general.php?case=2&distritos='+distritos, function(data){
 
      //eliminamos todos los 
      $select_zonas.html('');
 
      //iteramos sobre cada elemento sucursal del json.
      $.each(data, function(key, val){ 
        $select_zonas.append('<option value="' + val.LocalizacionJerarquicaID + '">' + val.Descripcion + '</option>');
      })
    });
}